import { AvailableSUMKeySuffixTypes, ConfigTemplateType, ConfigType } from '@/feature/config/types';
export interface sumFile {
    SUMSuffixFileName: string;
    SUMKeySuffix: string;
    isCreated: boolean;
    isRedOnly?: boolean;
    isIgnore?: boolean;
    path: string;
    realFilePath: string;
    realPath: string;
    templateVersion: string;
}
export type sumArrayPathFileSet<T extends string = AvailableSUMKeySuffixTypes & '_'> = {
    [K in T]?: sumFile;
} & {
    defaultFile: sumFile;
};
export type sumFileMapObjectType = Record<string, sumArrayPathFileSet> | Record<string, NonNullable<unknown>>;
export interface FileMapConfig extends Partial<ConfigTemplateType> {
    createdFileMap: string[];
    manualCreatedFileMap?: string[];
    rootPathFileList?: string[];
    templateVersion: string;
    fileMap: string[];
    templateFileList?: string[];
    redOnlyFileList?: string[];
    sumFileMap?: sumFileMapObjectType;
}
export declare const updateDetailsFileMapConfig2: ({ realFilePath, operation, config, sumFileMapConfig, SUMKeySuffix, SUMSuffixFileName, isCreated, path, realPath, templateVersion, }: {
    SUMKeySuffix?: AvailableSUMKeySuffixTypes | "_";
    realFilePath?: string;
    operation: "addConfigSuffixFile" | "createSuffixFile" | "createSUMRealFile" | "deleteFile" | "removeFileMap" | "createRealFileName" | "setIgnoreFile" | "createRedOnlyFileList";
    config: ConfigType;
    sumFileMapConfig?: FileMapConfig;
    SUMSuffixFileName?: string;
    isCreated?: boolean;
    path?: string;
    realPath?: string;
    templateVersion?: string;
}) => Promise<FileMapConfig>;
