import '../fs/index.mjs';
import '../../../universalify/index.mjs';
import { __exports as universalify } from '../../../../_virtual/index2.mjs';
import { __exports as fs$1 } from '../../../../_virtual/index.mjs';

const fs = fs$1;
const u = universalify.fromPromise;

async function symlinkType (srcpath, type) {
  if (type) return type

  let stats;
  try {
    stats = await fs.lstat(srcpath);
  } catch {
    return 'file'
  }

  return (stats && stats.isDirectory()) ? 'dir' : 'file'
}

function symlinkTypeSync (srcpath, type) {
  if (type) return type

  let stats;
  try {
    stats = fs.lstatSync(srcpath);
  } catch {
    return 'file'
  }
  return (stats && stats.isDirectory()) ? 'dir' : 'file'
}

var symlinkType_1 = {
  symlinkType: u(symlinkType),
  symlinkTypeSync
};

export { symlinkType_1 as s };
