import { __exports as lib } from '../../../_virtual/index8.mjs';
import { __require as requireLib$1 } from '../../boom/lib/index.mjs';
import { __require as requireLib$2 } from '../../sntp/lib/index.mjs';
import { __require as requireServer } from './server.mjs';
import { __require as requireClient } from './client.mjs';
import { __require as requireCrypto } from './crypto.mjs';
import { __require as requireUtils } from './utils.mjs';

var hasRequiredLib;

function requireLib () {
	if (hasRequiredLib) return lib;
	hasRequiredLib = 1;
	(function (exports) {

		// Export sub-modules

		exports.error = exports.Error = requireLib$1();
		exports.sntp = requireLib$2();

		exports.server = requireServer();
		exports.client = requireClient();
		exports.crypto = requireCrypto();
		exports.utils = requireUtils();

		exports.uri = {
		    authenticate: exports.server.authenticateBewit,
		    getBewit: exports.client.getBewit
		}; 
	} (lib));
	return lib;
}

export { requireLib as __require };
