import { __module as isstream } from '../../_virtual/isstream.mjs';
import require$$1 from 'stream';

var hasRequiredIsstream;

function requireIsstream () {
	if (hasRequiredIsstream) return isstream.exports;
	hasRequiredIsstream = 1;
	var stream = require$$1;


	function isStream (obj) {
	  return obj instanceof stream.Stream
	}


	function isReadable (obj) {
	  return isStream(obj) && typeof obj._read == 'function' && typeof obj._readableState == 'object'
	}


	function isWritable (obj) {
	  return isStream(obj) && typeof obj._write == 'function' && typeof obj._writableState == 'object'
	}


	function isDuplex (obj) {
	  return isReadable(obj) && isWritable(obj)
	}


	isstream.exports            = isStream;
	isstream.exports.isReadable = isReadable;
	isstream.exports.isWritable = isWritable;
	isstream.exports.isDuplex   = isDuplex;
	return isstream.exports;
}

export { requireIsstream as __require };
