import { getDefaultExportFromCjs } from '../../_virtual/_commonjsHelpers.mjs';
import fs$1 from 'fs';
import { r as request_1 } from '../request/index.mjs';

var fs      = fs$1,
   request = request_1 // mikeal/request
;


function wget(options, callback) {
	if (typeof options === 'string') {
		options  = { url: options };
	}
	options      = options  || {};
	callback     = callback || function (){};
	var src      = options.url || options.uri || options.src,
	    parts    = src.split('/'),
	    file     = parts[parts.length-1]
	;
	parts        = file.split('?');
	file         = parts[0];
	parts        = file.split('#');
	file         = parts[0];
	options.dest = options.dest || './';
	if (options.dest.substr(options.dest.length-1,1) == '/') {
		options.dest = options.dest + file;
	}


	function handle_request_callback(err, res, body) {
		if (err) {
			callback(err);
		} else {
			var data = {
				filepath: options.dest
			};
			if (res && res.headers) {
				data.headers = res.headers;
			}
			callback(err, data, body);
		}
	}


	if (options.dry) {
		handle_request_callback(null, {}, { filepath: options.dest });
		return options.dest;
	} else {
		try {
			request(options, handle_request_callback).pipe(fs.createWriteStream(options.dest));
		} catch (err) {
			callback(err);
		}
	}
}

var wget_1 = wget;

var wget$1 = /*@__PURE__*/getDefaultExportFromCjs(wget_1);

export { wget$1 as default };
