import { searchFilesInDirectory } from './searchFilesInDirectory.mjs';
import { createPath } from '../../util/createPath.mjs';
import { deletePath } from '../../util/deletePath.mjs';
import { isFileOrFolderExists } from '../../util/isFileOrFolderExists.mjs';
import { isFolderExist } from '../../util/isFolderExist.mjs';

const cleanUpFiles = async ({ sumCatalog, directoryPath, isDebug, }) => {
    if (await isFileOrFolderExists({
        filePath: sumCatalog,
        isDebug,
    })) {
        await deletePath(createPath(sumCatalog), isDebug);
    }
    if (await isFileOrFolderExists({
        filePath: directoryPath,
        isDebug,
    })) {
        const allFiles = await searchFilesInDirectory({ directoryPath });
        for (const file of allFiles) {
            await deletePath(createPath(file), isDebug);
        }
        await deletePath(createPath(directoryPath), isDebug);
    }
};
const cleanUpSinglePath = async ({ path, isDebug }) => {
    if (await isFileOrFolderExists({ filePath: path, isDebug })) {
        await deletePath(createPath(path), isDebug);
    }
};
const cleanUpSpecificFiles = async ({ files, isDebug, }) => {
    for (const file of files) {
        if (await isFolderExist({ folderPath: file, createFolder: false })) {
            await deletePath(createPath(file), isDebug);
        }
    }
};

export { cleanUpFiles, cleanUpSinglePath, cleanUpSpecificFiles };
