/**
 * Updates the configuration paths based on the provided catalog path. Modifies paths for sum catalog,
 * file map config, project catalog, temporary folder and sum config file.
 * @param config - The original configuration object
 * @param catalogPath - Base path to update the configuration paths
 * @returns Updated configuration object with modified paths
 */
const updateConfigBaseCatalog = (config, catalogPath) => {
    return {
        ...config,
        sumCatalog: `${catalogPath}.sum/`,
        sumFileMapConfig: `${catalogPath}.sum/repositoryMap.json`,
        sumIgnoreFilePath: `${catalogPath}.sumignore`,
        projectCatalog: `${catalogPath}`,
        temporaryFolder: `${catalogPath}.sum/temporary/`,
        sumConfigFilePath: `${catalogPath}.sum.config.json`,
    };
};

export { updateConfigBaseCatalog };
