const updateFileMapConfigPaths = (sumFileMapConfig, options) => {
    const { oldBasePath, newBasePath } = options;
    const updatePath = (path) => {
        if (path.startsWith('./')) {
            return path.replace(oldBasePath, newBasePath);
        }
        return path;
    };
    const newConfig = { ...sumFileMapConfig };
    // Update createdFileMap
    if (newConfig.createdFileMap) {
        newConfig.createdFileMap = newConfig.createdFileMap.map(updatePath);
    }
    // Update sumFileMap paths
    if (newConfig.sumFileMap) {
        newConfig.sumFileMap = Object.entries(newConfig.sumFileMap).reduce((acc, [key, value]) => {
            const updatedValue = Object.entries(value).reduce((innerAcc, [innerKey, innerValue]) => {
                if (typeof innerValue === 'object' && innerValue !== null) {
                    return {
                        ...innerAcc,
                        [innerKey]: {
                            ...innerValue,
                            path: innerValue.path
                                ? updatePath(innerValue.path)
                                : innerValue.path,
                            realPath: innerValue.realPath
                                ? updatePath(innerValue.realPath)
                                : innerValue.realPath,
                        },
                    };
                }
                return { ...innerAcc, [innerKey]: innerValue };
            }, {});
            return { ...acc, [key]: updatedValue };
        }, {});
    }
    return newConfig;
};

export { updateFileMapConfigPaths };
