import { defaultArgs } from './const.mjs';

const setArgs = (args) => {
    // This should handle different argument sets for init, update, build, and template scripts
    if (process.env.SDEBUG === 'true') {
        args = defaultArgs;
        if (process.env.STYPE === 'update') {
            args = {
                ...args,
                projectCatalog: './mock/mockProjectToUpdated',
                sumCatalog: './mock/mockProjectToUpdated/.sum',
            };
        }
        if (process.env.STYPE === 'build') {
            args = {
                ...args,
                projectCatalog: './mock/mockProjectToBuild',
                sumCatalog: './mock/mockProjectToBuild/.sum',
            };
        }
        console.log({ setArgs: args });
    }
    const argSumCatalog = args.sumCatalog || args._[0];
    const argProjectCatalog = args.projectCatalog || args._[2];
    const argSumConfigFileName = args.sumConfigFileName || args._[3];
    const argSumConfigFile = args.sumConfigFilePath || args._[4];
    const argRemoteRepository = args.remoteRepository || args._[5];
    const argIsDebug = args.isDebug || args._[6];
    return {
        sumCatalog: argSumCatalog ? String(argSumCatalog) : undefined,
        projectCatalog: argProjectCatalog ? String(argProjectCatalog) : undefined,
        sumConfigFileName: argSumConfigFileName ? String(argSumConfigFileName) : undefined,
        sumConfigFilePath: argSumConfigFile ? String(argSumConfigFile) : undefined,
        remoteRepository: argRemoteRepository ? String(argRemoteRepository) : undefined,
        isDebug: argIsDebug ? Boolean(argIsDebug) : undefined,
        _: args._,
    };
};

export { setArgs };
