import { deletePath } from '../util/deletePath.mjs';
import { formatJsonWithPrettier } from '../util/formatPrettier.mjs';
import { isFileOrFolderExists } from '../util/isFileOrFolderExists.mjs';

const cleanUp = async (config) => {
    try {
        await formatJsonWithPrettier(config.sumFileMapConfig, config.sumFileMapConfig, config.isDebug);
        await formatJsonWithPrettier(config.sumConfigFilePath, config.sumConfigFilePath, config.isDebug);
        if (await isFileOrFolderExists({ isDebug: config.isDebug, filePath: config.temporaryFolder })) {
            await deletePath(config.temporaryFolder, config.isDebug);
        }
        return { config };
    }
    catch (error) {
        if (config.isDebug) {
            console.error(`Error isnt exist: ${error.message}`);
        }
        return { config };
    }
};

export { cleanUp };
