import { createFile } from '../util/createFile.mjs';
import { debugFunction } from '../util/debugFunction.mjs';
import { isFolderExist } from '../util/isFolderExist.mjs';

const createConfigFile = async (config) => {
    debugFunction(config.isDebug, { config }, '[INIT] debugFunction');
    const { sumCatalog, sUpdaterVersion, remoteRepository } = config;
    await isFolderExist({
        folderPath: sumCatalog,
        createFolder: true,
    });
    const configFilePath = await createFile({
        filePath: config.sumConfigFilePath,
        content: JSON.stringify(config),
        isDebug: config.isDebug,
    });
    debugFunction(config.isDebug, { sUpdaterVersion, remoteRepository }, '[INIT] created sum config file');
    return { config, configFilePath };
};

export { createConfigFile };
