import { cleanUpFiles } from './__tests__/cleanForTests.mjs';
import { mockConfig } from './__tests__/const.mjs';
import { searchFilesInDirectory } from './__tests__/searchFilesInDirectory.mjs';
import { createConfigFile } from './createConfigFile.mjs';

describe('createConfigFile', () => {
    let config;
    beforeEach(async () => {
        config = { ...mockConfig.step.init };
        await cleanUpFiles({
            sumCatalog: config.sumCatalog,
            directoryPath: config.projectCatalog,
            isDebug: config.isDebug,
        });
    });
    afterEach(async () => {
        await cleanUpFiles({
            sumCatalog: config.sumCatalog,
            directoryPath: config.projectCatalog,
            isDebug: config.isDebug,
        });
    });
    it('should return correct creation', async () => {
        const result = await createConfigFile(config);
        const allFiles = await searchFilesInDirectory({
            directoryPath: config.projectCatalog,
            excludedFileNames: ['.DS_Store'],
            excludedPhrases: ['.backup'],
        });
        expect({ ...result, allFiles }).toStrictEqual({
            config: mockConfig.step.createConfigFile,
            configFilePath: mockConfig.step.createConfigFile.sumConfigFilePath,
            allFiles: ['./test/mockProject/.sum.config.json'],
        });
    });
});
