const formatSum = (input, returnValue) => {
    const suffixMapping = {
        '-custom.md': 'customFile',
        '-extend.md': 'extendFile',
        '-default.md': 'defaultFile',
    };
    const reverseSuffixMapping = {
        customFile: '-custom.md',
        extendFile: '-extend.md',
        defaultFile: '-default.md',
    };
    if (returnValue === 'key') {
        // Check if the input ends with one of the suffixes
        for (const suffix in suffixMapping) {
            if (input.endsWith(suffix)) {
                return suffixMapping[suffix];
            }
        }
    }
    else {
        // Check if the input is one of the keys in the reverse map
        return reverseSuffixMapping[input] || null;
    }
    // When none of the given keys or suffixes match
    return null;
};

export { formatSum };
