import { parseJSON } from './parseJSON.mjs';
import { readFile } from './readFile.mjs';

async function readPackageVersion(filePath) {
    try {
        const data = await readFile(filePath);
        const packageJson = parseJSON(data);
        const devDependencies = packageJson?.devDependencies?.['s-update-manager'];
        const dependencies = packageJson?.dependencies?.['s-update-manager'];
        const version = packageJson?.version;
        return String(devDependencies || dependencies || version || 'last');
    }
    catch (err) {
        return '';
    }
}

export { readPackageVersion };
